package com.sun.corba.se.spi.ior;

import com.sun.corba.se.spi.protocol.CorbaServerRequestDispatcher;
import com.sun.corba.se.spi.orb.ORB;
import org.omg.CORBA_2_3.portable.OutputStream;
import com.sun.corba.se.spi.orb.ORBVersion;

public interface ObjectKeyTemplate extends Writeable
{
    public abstract ORBVersion getORBVersion();
    
    public abstract int getSubcontractId();
    
    public abstract int getServerId();
    
    public abstract String getORBId();
    
    public abstract ObjectAdapterId getObjectAdapterId();
    
    public abstract byte[] getAdapterId();
    
    public abstract void write(ObjectId p0, OutputStream p1);
    
    public abstract CorbaServerRequestDispatcher getServerRequestDispatcher(ORB p0, ObjectId p1);
}
